Subject: Re: [bitcoin-dev] An implementation of BIP102 as a softfork.

From: Marco Falke <[email-masked]>
Date: Wed, 30 Dec 2015 11:33:39 +0100

This is an interesting approach but I don't see how this is a soft
fork. (Just because something is not a hard fork, doesn't make it a
soft fork by definition)
Softforks don't require any nodes to upgrade. [1]
Nonetheless, as I understand your approach, it requires nodes to
upgrade. Otherwise they are missing all transactions but the coinbase
transactions. Thus, they cannot update their utxoset and are easily
susceptible to double spends...

Am I missing something obvious?

-- Marco

[1] https://en.bitcoin.it/wiki/Softfork#Implications